AddCSLuaFile( "cl_init.lua" )
AddCSLuaFile( "shared.lua" )
include( 'shared.lua' )


/*---------------------------------------------------------
---------------------------------------------------------*/
function GM:Initialize( )

	self.BaseClass:Initialize( )
	
end

/*---------------------------------------------------------
---------------------------------------------------------*/
function GM:InitPostEntity( )

end

/*---------------------------------------------------------
---------------------------------------------------------*/
function GM:PlayerInitialSpawn( pl )
    pl:ConCommand( 'thirdperson' )
	self.BaseClass:PlayerInitialSpawn( pl )
end


/*---------------------------------------------------------
---------------------------------------------------------*/
function GM:PlayerSpawn( pl )
	
	pl:ConCommand( 'thirdperson' )
	
	self.BaseClass:PlayerSpawn( pl )

	pl:SetGravity( 0.75 )

	GAMEMODE:SetPlayerSpeed( pl, 100, 215 )

	pl:ShouldDropWeapon( true )
	
end

/*---------------------------------------------------------
---------------------------------------------------------*/
function GM:DoPlayerDeath( pl, attacker, dmginfo )
		
	pl:CreateRagdoll()

	pl:AddDeaths( 1 )
	
	if ( attacker:IsValid() && attacker:IsPlayer() ) then
	
		if ( attacker == pl ) then
			attacker:AddFrags( -1 )
		else
			attacker:AddFrags( 1 )
		end
		
	end

end


/*---------------------------------------------------------
---------------------------------------------------------*/
function GM:PlayerLoadout( pl )
	
	pl:GiveAmmo( 48, "pistol", true )	
	pl:GiveAmmo( 18, "buckshot", true )
	
	pl:Give( "Hands" )
	pl:Give( "Mattpipe" )
	pl:Give( "Raider_Pistol" )
	pl:Give( "Wrench" )
	pl:Give( "weapon_shotgun" )
	
end



/*---------------------------------------------------------
---------------------------------------------------------*/
function SpawnEntityTimed( classname, pos )

	local Wep = ents.Create( classname )
	Wep:SetPos( pos )
	Wep:KeyValue( "respawn", "1" )
	Wep:Spawn()
	
end


/*---------------------------------------------------------
---------------------------------------------------------*/
function GM:WeaponRespawnTime( classname )

	return 20
	
end

/*---------------------------------------------------------
---------------------------------------------------------*/
function GM:PlayerDeathThink( pl )

	if (  pl.NextSpawnTime && pl.NextSpawnTime > CurTime() ) then return end

	pl:Spawn()
	
end


/*---------------------------------------------------------
---------------------------------------------------------*/
function GM:PlayerDeath( Victim, Inflictor, Attacker )
	
	Victim.NextSpawnTime = CurTime() + 180

	if ( Inflictor && Inflictor == Attacker && (Inflictor:IsPlayer() || Inflictor:IsNPC()) ) then
	
		Inflictor = Inflictor:GetActiveWeapon()
		if ( Inflictor == NULL ) then Inflictor = Attacker end
	
	end
	
	if (Attacker == Victim) then
	
		umsg.Start( "PlayerKilledSelf" )
			umsg.Entity( Victim )
		umsg.End()
		
		MsgAll( Attacker:Nick() .. " suicided!\n" )
		
	return end

	if ( Attacker:IsPlayer() ) then
	
		umsg.Start( "PlayerKilledByPlayer" )
		
			umsg.Entity( Victim )
			umsg.String( Inflictor:GetClass() )
			umsg.Entity( Attacker )
		
		umsg.End()
		
		MsgAll( Attacker:Nick() .. " killed " .. Victim:Nick() .. " using " .. Inflictor:GetClass() .. "\n" )
		
	return end
	
	umsg.Start( "PlayerKilled" )
	
		umsg.Entity( Victim )
		umsg.String( Inflictor:GetClass() )
		umsg.String( Attacker:GetClass() )

	umsg.End()
	
	MsgAll( Victim:Nick() .. " was killed by " .. Attacker:GetClass() .. "\n" )
	
end